summaryrefslogtreecommitdiff
path: root/trunk/tools/create-distribution
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/tools/create-distribution')
-rwxr-xr-xtrunk/tools/create-distribution42
1 files changed, 42 insertions, 0 deletions
diff --git a/trunk/tools/create-distribution b/trunk/tools/create-distribution
new file mode 100755
index 0000000..8324f8c
--- /dev/null
+++ b/trunk/tools/create-distribution
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# $Id$
+#
+# This file is part of Echolot - a Pinger for anonymous remailers.
+#
+# Copyright (c) 2002, 2003, 2004 Peter Palfrader <peter@palfrader.org>
+#
+# This program is free software. you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+
+# This script is used after exporting the CVS to build a new
+# release tarball
+
+set -e
+
+version=`grep 'VERSION =' pingd | sed -e "s/.* '//" -e "s/'.*//"`
+dirname=`basename \`pwd\``
+pod2man --section=1 --release="$version" --center=Echolot pingd doc/pingd.1
+pod2man --section=5 --release="$version" --center=Echolot doc/pingd.conf.pod doc/pingd.conf.5
+
+if [ "$dirname" != "echolot-$version" ] ; then
+ echo "WARN: Version $version might be wrong"
+ echo "Enter to continue"
+ read
+fi
+
+cd ..
+tar czf $dirname.tar.gz $dirname
+gpg --detach-sign $dirname.tar.gz